org.apache.poi.xssf.usermodel.charts

## Class XSSFManualLayout

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.XSSFManualLayout

- All Implemented Interfaces:
    ManualLayout

  Deprecated.
  use `instead`

      @Deprecated
       @Removal(version="4.2")
      public final class XSSFManualLayout
      extends java.lang.Object
      implements ManualLayout

  Represents a SpreadsheetML manual layout.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)` Deprecated. Create a new SpreadsheetML manual layout.
    `XSSFManualLayout(XSSFChart chart)` Deprecated. Create a new SpreadsheetML manual layout for chart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout` | `getCTManualLayout()` Deprecated. Return the underlying CTManualLayout bean.
    `LayoutMode` | `getHeightMode()` Deprecated. Returns current height mode of this
    `double` | `getHeightRatio()` Deprecated. Returns current fraction of the height of the chart.
    `LayoutTarget` | `getTarget()` Deprecated. Returns current layout target.
    `LayoutMode` | `getWidthMode()` Deprecated. Returns current width mode of this manual layout.
    `double` | `getWidthRatio()` Deprecated. Returns current fraction of the width of the chart.
    `double` | `getX()` Deprecated. Returns the x location of the chart element.
    `LayoutMode` | `getXMode()` Deprecated. Returns current x-coordinnate layout mode.
    `double` | `getY()` Deprecated. Returns current y location of the chart element.
    `LayoutMode` | `getYMode()` Deprecated. Returns current y-coordinate layout mode.
    `void` | `setHeightMode(LayoutMode mode)` Deprecated. Specifies how to interpret the Height element for this manual layout.
    `void` | `setHeightRatio(double ratio)` Deprecated. Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.
    `void` | `setTarget(LayoutTarget target)` Deprecated. Sets the layout target.
    `void` | `setWidthMode(LayoutMode mode)` Deprecated. Specifies how to interpret the Width element for this manual layout.
    `void` | `setWidthRatio(double ratio)` Deprecated. Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.
    `void` | `setX(double x)` Deprecated. Specifies the x location (left) of the chart element as a fraction of the width of the chart.
    `void` | `setXMode(LayoutMode mode)` Deprecated. Sets the x-coordinate layout mode.
    `void` | `setY(double y)` Deprecated. Specifies the y location (top) of the chart element as a fraction of the height of the chart.
    `void` | `setYMode(LayoutMode mode)` Deprecated. Sets the y-coordinate layout mode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFManualLayout

          public XSSFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout ctLayout)

      Deprecated.
      Create a new SpreadsheetML manual layout.
      Parameters:
        `ctLayout` - a Spreadsheet ML layout that should be used as base.

    - #### XSSFManualLayout

          public XSSFManualLayout(XSSFChart chart)

      Deprecated.
      Create a new SpreadsheetML manual layout for chart.
      Parameters:
        `chart` - a chart to create layout for.

  - ### Method Detail

    - #### getCTManualLayout

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout getCTManualLayout()

      Deprecated.
      Return the underlying CTManualLayout bean.
      Returns:
        the underlying CTManualLayout bean.

    - #### setWidthRatio

          public void setWidthRatio(double ratio)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies the width (if Width Mode is Factor) or right (if Width Mode is Edge) of the chart element as a fraction of the width of the chart.
      Specified by:
        `setWidthRatio` in interface `ManualLayout`
      Parameters:
        `ratio` - a fraction of the width of the chart.

    - #### getWidthRatio

          public double getWidthRatio()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current fraction of the width of the chart.
      Specified by:
        `getWidthRatio` in interface `ManualLayout`
      Returns:
        fraction of the width of the chart or 0.0 if not set.

    - #### setHeightRatio

          public void setHeightRatio(double ratio)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies the height (if Height Mode is Factor) or bottom (if Height Mode is edge) of the chart element as a fraction of the height of the chart.
      Specified by:
        `setHeightRatio` in interface `ManualLayout`
      Parameters:
        `ratio` - a fraction of the height of the chart.

    - #### getHeightRatio

          public double getHeightRatio()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current fraction of the height of the chart.
      Specified by:
        `getHeightRatio` in interface `ManualLayout`
      Returns:
        fraction of the height of the chart or 0.0 if not set.

    - #### getTarget

          public LayoutTarget getTarget()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current layout target.
      Specified by:
        `getTarget` in interface `ManualLayout`
      Returns:
        current layout target

    - #### setTarget

          public void setTarget(LayoutTarget target)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Sets the layout target.
      Specified by:
        `setTarget` in interface `ManualLayout`
      Parameters:
        `target` - new layout target.

    - #### getXMode

          public LayoutMode getXMode()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current x-coordinnate layout mode.
      Specified by:
        `getXMode` in interface `ManualLayout`
      Returns:
        current x-coordinate layout mode.

    - #### setXMode

          public void setXMode(LayoutMode mode)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Sets the x-coordinate layout mode.
      Specified by:
        `setXMode` in interface `ManualLayout`
      Parameters:
        `mode` - new x-coordinate layout mode.

    - #### getYMode

          public LayoutMode getYMode()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current y-coordinate layout mode.
      Specified by:
        `getYMode` in interface `ManualLayout`
      Returns:
        current y-coordinate layout mode.

    - #### setYMode

          public void setYMode(LayoutMode mode)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Sets the y-coordinate layout mode.
      Specified by:
        `setYMode` in interface `ManualLayout`
      Parameters:
        `mode` - new y-coordinate layout mode.

    - #### getX

          public double getX()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns the x location of the chart element.
      Specified by:
        `getX` in interface `ManualLayout`
      Returns:
        the x location (left) of the chart element or 0.0 if not set.

    - #### setX

          public void setX(double x)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies the x location (left) of the chart element as a fraction of the width of the chart. If Left Mode is Factor, then the position is relative to the default position for the chart element.
      Specified by:
        `setX` in interface `ManualLayout`

    - #### getY

          public double getY()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current y location of the chart element.
      Specified by:
        `getY` in interface `ManualLayout`
      Returns:
        the y location (top) of the chart element or 0.0 if not set.

    - #### setY

          public void setY(double y)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies the y location (top) of the chart element as a fraction of the height of the chart. If Top Mode is Factor, then the position is relative to the default position for the chart element.
      Specified by:
        `setY` in interface `ManualLayout`

    - #### getWidthMode

          public LayoutMode getWidthMode()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current width mode of this manual layout.
      Specified by:
        `getWidthMode` in interface `ManualLayout`
      Returns:
        width mode of this manual layout.

    - #### setWidthMode

          public void setWidthMode(LayoutMode mode)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies how to interpret the Width element for this manual layout.
      Specified by:
        `setWidthMode` in interface `ManualLayout`
      Parameters:
        `mode` - new width layout mode of this manual layout.

    - #### getHeightMode

          public LayoutMode getHeightMode()

      Deprecated.
      Description copied from interface: `ManualLayout`
      Returns current height mode of this
      Specified by:
        `getHeightMode` in interface `ManualLayout`
      Returns:
        height mode of this manual layout.

    - #### setHeightMode

          public void setHeightMode(LayoutMode mode)

      Deprecated.
      Description copied from interface: `ManualLayout`
      Specifies how to interpret the Height element for this manual layout.
      Specified by:
        `setHeightMode` in interface `ManualLayout`
      Parameters:
        `mode` - new height mode of this manual layout.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.